Skip to main content
PATCH
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
unitGroups
/
assignUnits
Update units tier
curl --request PATCH \
  --url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/unitGroups/assignUnits \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "unitUuids": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "3fa85f64-5717-4562-b3fc-2c963f66afa7"
  ],
  "tierDescription": "Essential"
}
'
true

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required
portfolio
string
required

Body

application/json
unitUuids
string<uuid>[]
required

Array of unit UUIDs to assign to the unit group. Units must be vacant, unrentable or owner occupied and belong to the same facility to be assigned to a unit group. Units must all be currently assigned to a unit group and belong to the same size and type group.

Example:
[
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"3fa85f64-5717-4562-b3fc-2c963f66afa7"
]
tierDescription
enum<string>
required

Tier name of the target unit group. Must be one of: Premium, Preferred, Essential.

Available options:
Premium,
Preferred,
Essential
Example:

"Essential"

Response

Units assigned to the unit group

The response is of type boolean.